#! /usr/bin/tclsh
proc demac {file} {
	file rename -force $file $file.bak
	set fin [open $file.bak r]
	set fout [open $file w]
	while { [gets $fin line] >= 0 } {
		puts $fout $line
	} 
	close $fin
	close $fout
}

foreach dir [glob *] {
foreach ext {*.tcl *.c *.h} {
foreach file [glob -nocomplain $dir/$ext] {
demac $file	
}
}
}
